// Written by retoor@molodetz.nl

// This program tests various types using the rtypes and rtest libraries, asserting the expected behaviors of the defined types such as
// unsigned integers, long integers, and byte values.

// The source includes custom libraries "rtest.h" and "rtypes.h" which provide functionality for type definition and testing assertions.

// The code is licensed under the MIT License.

#include "rtest.h"
#include "rtypes.h"

int main() {
    rtest_banner("rtypes");

    uint test1 = 1000;
    rassert(test1 == 1000);

    ulong test2 = -1000;
    rassert(test2 == -1000);

    byte test3 = 123;
    rassert(test3 == 123);

    byte test4 = 'A';
    rassert(test4 == 65);

    return rtest_end("");
}